package jp.hasc.hasctool.core.data;

/**
 * ベクトル信号の値です
 * @author iwasaki,hiro
 */
public interface VectorSignalMessage extends SignalMessage {
	
	public abstract int getVectorSize();
	
	public abstract double getVectorElement(int index);
	
	public abstract double getVectorNorm();
	
}
